---
image: registry.gitlab.com/guardianproject-ops/docker-alpine-git:latest

stages:
  - docker-build
  - docker-release

docker-build:
  tags:
    - aegean
  image: registry.gitlab.com/guardianproject-ops/docker-alpine-git:latest
  services:
    - docker:dind
  stage: docker-build
  variables:
    DOCKER_TAG: ${CI_COMMIT_SHORT_SHA}
    TARGET_VERSION: ${CI_COMMIT_SHORT_SHA}
  script:
    - make init
    - make gitlab/login
    - make docker/build
    - make docker/image/push
    - make docker/test

docker-release:
  tags:
    - aegean
  image: registry.gitlab.com/guardianproject-ops/docker-alpine-git:latest
  services:
    - docker:dind
  stage: docker-release
  variables:
    SOURCE_VERSION: ${CI_COMMIT_SHORT_SHA}
    TARGET_VERSION: main
  script:
    - make init
    - make gitlab/login
    - make docker/image/promote/remote
    - make docker/image/push
  only:
    - aegean
    - main
